Name:          foxtrotgps
Version:       1.2.2
Release:       1%{?dist}
Summary:       GTK+ mapping and GPS application
License:       GPLv2
URL:           http://www.foxtrotgps.org
Source0:       http://www.foxtrotgps.org/releases/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires: bluez-libs-devel
BuildRequires: dbus-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: libcurl-devel
BuildRequires: libexif-devel
BuildRequires: libxml2-devel
BuildRequires: sqlite-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gpsd-devel

Requires: gpsd

# The following two package are only needed, if someone wants
# to geotag photos, which is an optional functionality. We 
# decided to include them, because then all functionality is
# available without manual package installation.
Requires: gpscorrelate
Requires: jhead

%description
FoxtrotGPS is an easy-to-use graphical tool that can be used
to track the position of a GPS receiver on a map in relation to
user-defined points of interest (POIs), a destination and waypoints,
and tracks loaded from files or internet routing-services.

FoxtrotGPS also allows internet-connected users to share their position
with other users and send messages.

By default it uses map data from the OpenStreetMap.org project; 
additionally a variety of other repositories can easily be added.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

sed -i 's/Lieu/Lieu;/' %{buildroot}/usr/share/applications/foxtrotgps.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -rf %{buildroot}/usr/share/doc/%{name}/
rm -rf %{buildroot}/usr/share/info/dir

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS HACKING NEWS
%doc contrib/README.osb2foxtrot

%{_bindir}/foxtrotgps
%{_bindir}/convert2gpx
%{_bindir}/convert2osm
%{_bindir}/gpx2osm
%{_bindir}/poi2osm
%{_bindir}/osb2foxtrot
%{_bindir}/georss2foxtrotgps-poi
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/foxtrotgps.png
%{_datadir}/pixmaps/foxtrotgps-*.png
%{_datadir}/GConf/gsettings/org.foxtrotgps.convert
%{_datadir}/glib-2.0/schemas/org.foxtrotgps.gschema.xml
%{_mandir}/man?/*
%{_infodir}/foxtrotgps.info.*
%{_datadir}/%{name}

%changelog
* Wed Jul 10 2019 Tilmann Bubeck <bubeck@fedoraproject.org> - 1.2.2-1
- Update to 1.2.2

* Wed Jul 03 2019 Björn Esser <besser82@fedoraproject.org> - 1.2.1-7
- Rebuild (gpsd)


* Sun Apr 28 2019 Tilmann Bubeck <bubeck@fedoraproject.org> - 1.2.1-6
- Updated patch to a better version from upstream.

* Sun Apr 28 2019 Tilmann Bubeck <bubeck@fedoraproject.org> - 1.2.1-5
- Patched for gpsd-3.18.

* Wed Apr 24 2019 Björn Esser <besser82@fedoraproject.org> - 1.2.1-4
- Remove hardcoded gzip suffix from GNU info pages

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Apr 29 2018 Peter Robinson <pbrobinson@fedoraproject.org> 1.2.1-1
- Update to 1.2.1

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.0-9
- Escape macros in %%changelog

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 27 2015 Peter Robinson <pbrobinson@fedoraproject.org> 1.2.0-2
- Rebuild (gpsd)

* Mon Mar  2 2015 Peter Robinson <pbrobinson@fedoraproject.org> 1.2.0-1
- Update to 1.2.0 (rhbz 1157448)
- Use %%licenese

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 27 2013 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-7
- Rebuilt, because libgps was updated. Fixed dates in specfile.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-4
- Obsoletes: tangogps

* Sat Aug 04 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-3
- fixed typo in description

* Wed Aug 01 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-2
- removed Requires: dbus, cleaned up spec file, 
  removed EPEL 5 support, consistent use of %%{buildroot} and %%{name}

* Tue Jul 31 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-1
- initial package based upon Fedora's tangogps.spec

